Import File Into Table Sheet
curl --request POST \
--url https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/imports/file \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"file_name": "<string>",
"file_content_base64": "<string>",
"operation_id": "<string>"
}
'import requests
url = "https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/imports/file"
payload = {
"file_name": "<string>",
"file_content_base64": "<string>",
"operation_id": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
file_name: '<string>',
file_content_base64: '<string>',
operation_id: '<string>'
})
};
fetch('https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/imports/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"operation_id": "<string>",
"operation": {
"operation_id": "<string>",
"progress": 123,
"message": "<string>",
"rows_added": 123,
"row_count": 123,
"file_name": "<string>",
"error_message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"status_url": "<string>"
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"success": false,
"message": "<string>",
"error": "<string>"
}Create Table Sheet File Import
Import a CSV file into an existing Table sheet.
POST
/
api
/
public
/
v2
/
tables
/
{table_id}
/
sheets
/
{sheet_id}
/
imports
/
file
Import File Into Table Sheet
Start an asynchronous CSV import into an existing Table sheet.
Send
file_name ending in .csv and file_content_base64 containing the base64-encoded CSV content.
Pass operation_id when you want a stable client-side identifier for polling and webhook correlation. If omitted, PromptLayer generates one.
The response returns an operation_id and status_url for polling with Get Table Sheet Import Operation.Authorizations
Headers
Your PromptLayer API key. The key's workspace scopes table resources for this request.
Path Parameters
Table ID.
Table sheet ID.
Body
application/json
Was this page helpful?
โI

